Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.material.channel
Class GLSLVolumeFunction

    java.lang.Object
      de.grogra.imp3d.glsl.material.channel.GLSLChannelMap
          de.grogra.imp3d.glsl.material.channel.GLSLChannelMapNode
              de.grogra.imp3d.glsl.material.channel.GLSLVolumeFunction

Direct Known Subclasses:
  GLSLGradient, GLSLGranite, GLSLJulia, GLSLLeopard, GLSLMandel, GLSLVolumeTurbulence, GLSLWood

    public abstract class GLSLVolumeFunction

extends GLSLChannelMapNode

Base class for all volume shaders. Will add FloatToFloat transformation.

Author:
  Konni Hartmann

Constructor Summary
`GLSLVolumeFunction()`

Method Summary
`static java.lang.String` | `floatToString(float f)`
`Result` | `generate(ChannelMap inp, MaterialConfiguration cs, GLSLChannelMap inpChan, int channel)` This should be used instead of the other one
`abstract Result` | `generateVolumeData(ChannelMap inp, MaterialConfiguration cs, GLSLChannelMap inpChan, int channel)`

Methods inherited from class de.grogra.imp3d.glsl.material.channel.GLSLChannelMap
`generateResult, generateResult, generateResultWithChannelDefault, getGLSLObject, getMaxResultType, initMap, instanceFor, mayDiscard`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLVolumeFunction

    public GLSLVolumeFunction()

Method Detail

### floatToString

    public static java.lang.String floatToString(float f)

### generate

    public Result generate(ChannelMap inp,
                           MaterialConfiguration cs,
                           GLSLChannelMap inpChan,
                           int channel)

  Description copied from class: `GLSLChannelMap`
  This should be used instead of the other one

  Specified by:
    `generate` in class `GLSLChannelMap`
  Returns:

### generateVolumeData

    public abstract Result generateVolumeData(ChannelMap inp,
                                              MaterialConfiguration cs,
                                              GLSLChannelMap inpChan,
                                              int channel)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD